Project

General

Profile

Bug #5609

port mod_ipp to Apache 2.2

Added by Gordon Ross almost 6 years ago. Updated almost 6 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Start date:
2015-02-12
Due date:
% Done:

100%

Estimated time:
Difficulty:
Medium
Tags:
needs-triage
Gerrit CR:

Description

We have an Apache module for IPP printing, here:
http://src.illumos.org/source/xref/illumos-gate/usr/src/lib/print/mod_ipp/

It currently requires Apache 1.x headers to build.
We'd like to build it against Apache 2.2 (the one illumos currently uses).
The module compiled that way will probably work on later Apache too.

It was also suggested we should not install the Apache plugin module in a directory that assumes any particular version of Apache might be installed. Dealt with that by changing the delivery locations to:

etc/lp/ipp/httpd-standalone-ipp.conf
usr/lib/lp/ipp/mod_ipp.so
var/lp/ipp-listener/index.html

Also available in: Atom PDF